package cn.net.cpzslibs.prot.handset.bean;

import java.io.Serializable;

public class Prot10083QueryResult implements Serializable{
	/* “label_id”:”12222222222”,
	 “product_name”:”name”,
	 “second_name”:”name”,
	 “pop_time”:”time”,
	 “package_id”:”123456789”,
	 “first_consume_time”:”time”,
	 “produce_time”:”time”,
	     “iResult”:0*/

	private String label_id;
	private String product_name;
	private String second_name;
	private String pop_time;
	private String package_id;
	private String first_consume_time;
	private String produce_time;
	
	private int iResult;
	private String remark;
	private int errcode;
	private String errmsg;
	private int result;
	public Prot10083QueryResult(String label_id, String product_name,
			String second_name, String pop_time, String package_id,
			String first_consume_time, String produce_time, int iResult,
			String remark, int errcode, String errmsg, int result) {
	
		this.label_id = label_id;
		this.product_name = product_name;
		this.second_name = second_name;
		this.pop_time = pop_time;
		this.package_id = package_id;
		this.first_consume_time = first_consume_time;
		this.produce_time = produce_time;
		this.iResult = iResult;
		this.remark = remark;
		this.errcode = errcode;
		this.errmsg = errmsg;
		this.result = result;
	}
	public String getLabel_id() {
		return label_id;
	}
	public void setLabel_id(String label_id) {
		this.label_id = label_id;
	}
	public String getProduct_name() {
		return product_name;
	}
	public void setProduct_name(String product_name) {
		this.product_name = product_name;
	}
	public String getSecond_name() {
		return second_name;
	}
	public void setSecond_name(String second_name) {
		this.second_name = second_name;
	}
	public String getPop_time() {
		return pop_time;
	}
	public void setPop_time(String pop_time) {
		this.pop_time = pop_time;
	}
	public String getPackage_id() {
		return package_id;
	}
	public void setPackage_id(String package_id) {
		this.package_id = package_id;
	}
	public String getFirst_consume_time() {
		return first_consume_time;
	}
	public void setFirst_consume_time(String first_consume_time) {
		this.first_consume_time = first_consume_time;
	}
	public String getProduce_time() {
		return produce_time;
	}
	public void setProduce_time(String produce_time) {
		this.produce_time = produce_time;
	}
	public int getiResult() {
		return iResult;
	}
	public void setiResult(int iResult) {
		this.iResult = iResult;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public int getErrcode() {
		return errcode;
	}
	public void setErrcode(int errcode) {
		this.errcode = errcode;
	}
	public String getErrmsg() {
		return errmsg;
	}
	public void setErrmsg(String errmsg) {
		this.errmsg = errmsg;
	}
	public int getResult() {
		return result;
	}
	public void setResult(int result) {
		this.result = result;
	}
	@Override
	public String toString() {
		return "Prot10083QueryResult [label_id=" + label_id + ", product_name="
				+ product_name + ", second_name=" + second_name + ", pop_time="
				+ pop_time + ", package_id=" + package_id
				+ ", first_consume_time=" + first_consume_time
				+ ", produce_time=" + produce_time + ", iResult=" + iResult
				+ ", remark=" + remark + ", errcode=" + errcode + ", errmsg="
				+ errmsg + ", result=" + result + "]";
	}
	
	
}
